# ng-simple-pdf-viewer

A lightweight Angular PDF viewer component based on Mozilla's PDF.js library.

## Installation

Choose your preferred package manager:

```bash
# npm
npm install ng-simple-pdf-viewer

# yarn
yarn add ng-simple-pdf-viewer

# pnpm
pnpm add ng-simple-pdf-viewer

# bun
bun add ng-simple-pdf-viewer
```

## Usage

```html
<ng-simple-pdf-viewer file-name="download name.pdf" url="https://ontheline.trincoll.edu/images/bookdown/sample-local-pdf.pdf"></ng-simple-pdf-viewer>
```

## Options

- `file-name`: The name of the file to be downloaded.
- `url`: The URL of the PDF file.
- `showToolbar`: Whether to show the toolbar.
- `showDownloadButton`: Whether to show the download button.
- `showPageInfo`: Whether to show the page info.
- `showPageNumbers`: Whether to show the page numbers.
- `showPrevButton`: Whether to show the previous page button.
- `showNextButton`: Whether to show the next page button.

## License

MIT
